Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007312TestLinkTest Executepublic2015-10-23 15:122016-09-08 15:13
Reporterlocamp 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007312: File cannot be attached to execution of Test Case if empty title forbidden in config
DescriptionTest case execution attachment provides no title field for attachments so file attachment is broken without message if $g_attachments->allow_empty_title = false
Steps To Reproduce0. Configure Testlink install with $g_attachments->allow_empty_title = false
1. Execute some test case
2. Open execution details
3. Click on "attach file" icon to add some file
//notice attachment page have no "title" editbox because of, presumably, multiple files attachment support since v.1.9.12
4. Press "upload file"

Result: label "DOING" is showed on top of page but there is no confirmation about file uploaded neither upload failure notification.
Additional InformationThis can workarounded by setting up $g_attachments->allow_empty_title = true or by disabling multiple files upload in attachmentupload.tpl
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024160)
fman (administrator)
2015-10-24 12:06

I've found that this configuration is not checked anymore on some features.
To solve this issue I'm going to overwrite this config to TRUE when

/lib/attachments/attachmentupload.php

will be called on execution context (tableName=executions) to be able to use the multiple files upload that is IMHO useful on execution context.
(0024161)
fman (administrator)
2015-10-24 12:26

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/fc3edabb2bbd2ab005773eff5a30d531611ec6a6 [^]
(0024224)
fman (administrator)
2015-11-11 06:23

fixed also for step exec attachments
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/b9c9ab5b348f121561803c2b734ab574c0f9837d [^]
(0025310)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2015-10-23 15:12 locamp New Issue
2015-10-24 12:06 fman Note Added: 0024160
2015-10-24 12:26 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-10-24 12:26 fman Note Added: 0024161
2015-10-24 12:26 fman Status new => resolved
2015-10-24 12:26 fman Fixed in Version => 1.9.15 (2015 Q4)
2015-10-24 12:26 fman Resolution open => fixed
2015-10-24 12:26 fman Assigned To => fman
2015-10-24 12:27 fman Relationship added child of 0007262
2015-11-11 06:23 fman Note Added: 0024224
2016-09-08 15:13 fman Note Added: 0025310
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker